Skip to main content
PATCH
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
columns
/
{column_id}
Update Column
curl --request PATCH \
  --url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/columns/{column_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "title": "<string>",
  "config": {},
  "dependencies": [
    {
      "column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reference_type": "value",
      "config_key": "<string>",
      "config_meta": {}
    }
  ]
}
'
import requests

url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/columns/{column_id}"

payload = {
"title": "<string>",
"config": {},
"dependencies": [
{
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_type": "value",
"config_key": "<string>",
"config_meta": {}
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
config: {},
dependencies: [
{
column_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reference_type: 'value',
config_key: '<string>',
config_meta: {}
}
]
})
};

fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/columns/{column_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "column": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sheet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": 123,
    "title": "<string>",
    "config": {},
    "position_rank": 123,
    "is_output_column": true
  },
  "requires_recalculation": true,
  "affected_column_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "version": 123
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
Update a column title, config, or dependencies. Config or dependency changes may require recalculation. The response includes requires_recalculation and affected_column_ids so you can decide whether to run a recalculation operation.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required
sheet_id
string<uuid>
required
column_id
string<uuid>
required

Body

application/json
title
string | null
config
object | null
dependencies
object[] | null

Response

Column updated

success
boolean
column
object

A column within a Table sheet.

requires_recalculation
boolean
affected_column_ids
string<uuid>[]
version
integer

Current sheet version_count for this response. It matches the sheet's version_count after any committed changes.